NetVision-Technik

Zurück   NetVision-Technik > Forum > Server > Betriebssysteme

Betriebssysteme Linux, Debian, Suse und was es sonst noch so gibt; hier werden alle allgemeinen Fragen beantwortet

Antwort
 
Themen-Optionen Ansicht
Alt 05.12.2016, 11:57   #1
pat
Profi
Punkte: 14.982, Level: 79 Punkte: 14.982, Level: 79 Punkte: 14.982, Level: 79
Levelaufstieg: 27% Levelaufstieg: 27% Levelaufstieg: 27%
Aktivität: 0% Aktivität: 0% Aktivität: 0%
Letzte Erfolge
 
Benutzerbild von pat
 
Registriert seit: 12.01.2011
Ort: @home
Alter: 35
Beiträge: 575
Abgegebene Danke: 99
Erhielt 133 Danke für 33 Beiträge
Downloads: 4
Uploads: 0
Nachrichten: 747
Renommee-Modifikator:
1623 pat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehen
Standard installations fehler

moin ihr lieben habe seit geraumer zeit en fehler beim installieren von programmen auf meinem bastel server...

es läuft ubuntu 14.04/nginx ...

hier mal der fehler nach der versuchten test installation von postfix

Zitat:
xxxx@xxxxx:~# apt-get install postfix
Paketlisten werden gelesen... FertigAbhängigkeitsbaum wird aufgebautStatusinformationen werden eingelesen... FertigDie folgenden zusätzlichen Pakete werden installiert: adduser apt-utils base-files base-passwd busybox-initramfs coreutils cpio cryptsetup cryptsetup-bin dbus debconf debconf-i18n debianutils dmsetup dpkg e2fslibs e2fsprogs ecryptfs-utils file findutils gcc-4.6-base gettext-base ifupdown initramfs-tools initramfs-tools-bin initscripts insserv iproute keyutils klibc-utils libacl1 libapt-inst1.4 libapt-pkg4.12 libatm1 libattr1 libblkid1 libbz2-1.0 libc-bin libc6 libcomerr2 libcryptsetup4 libdb5.1 libdbus-1-3 libdevmapper1.02.1 libdrm-intel1 libdrm-nouveau1a libdrm-radeon1 libdrm2 libecryptfs0 libexpat1 libffi6 libgcc1 libgcrypt11 libglib2.0-0 libglib2.0-data libgpg-error0 libgpm2 libkeyutils1 libklibc liblocale-gettext-perl liblzma5 libmagic1 libmount1 libncurses5 libncursesw5 libnih-dbus1 libnih1 libnspr4 libnss3 libnss3-1d libpam-modules libpam-modules-bin libpam-runtime libpam0g libpciaccess0 libpcre3 libplymouth2 libpng12-0 libpopt0 libreadline6 libsasl2-2 libsasl2-modules libselin ux1 libslang2 libsqlite3-0 libss2 libssl1.0.0 libstdc++6 libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl libtinfo5 libudev0 libuuid1 libxml2 lsb-base lsof makedev mime-support module-init-tools mount mountall multiarch-support ncurses-bin netbase openssl original-awk passwd perl-base plymouth plymouth-theme-ubuntu-text procps psmisc python python-minimal python2.7 python2.7-minimal readline-common rsync  sed sensible-utils sgml-base shared-mime-info ssl-cert sysv-rc sysvinit-utils tar tzdata udev upstart util-linux uuid-runtime xml-core xz-utils zlib1gVorgeschlagene Pakete: perl-modules libarchive1 busybox dosfstools dbus-x11 debconf-doc debconf-utils whiptail dialog gnome-utils libterm-readline-gnu-perl libgtk2-perl libnet-ldap-perl libqtgui4-perl libqtcore4-perl apt gpart parted e2fsck-static opencryptoki keyescrow-client mlocate locate isc-dhcp-client dhcp-client ppp rdnssd net-tools bash-completion bootchart iproute-doc glibc-doc locales rng-tools gpm libpam-doc pciutils libsasl2-modules-otp libsasl2-modules-ldap libsasl2-modules-sql libsasl2-modules-gssapi-mit libsasl2-modules-gssapi-heimdal nfs-common ca-certificates procmail postfix-mysql postfix-pgsql postfix-ldap postfix-pcre sasl2-bin dovecot-common resolvconf postfix-cdb mail-reader ufw postfix-doc python-doc python-tk python2.7-doc binutils binfmt-support openssh-client openssh-server sgml-base-doc openssl-blacklist sysv-rc-conf bum sash bzip2 ncompress watershed graphviz util-linux-locales kbd console-tools debhelper xz-lzmaDie folgenden NEUEN Pakete werden installiert: adduser apt-utils base-files base-passwd busybox-initramfs coreutils cpio cryptsetup cryptsetup-bin dbus debconf debconf-i18n debianutils dmsetup dpkg e2fslibs e2fsprogs ecryptfs-utils file findutils gcc-4.6-base gettext-base ifupdown initramfs-tools initramfs-tools-bin initscripts insserv iproute keyutils klibc-utils libacl1 libapt-inst1.4 libapt-pkg4.12 libatm1 libattr1 libblkid1 libbz2-1.0 libc-bin libc6 libcomerr2 libcryptsetup4 libdb5.1 libdbus-1-3 libdevmapper1.02.1 libdrm-intel1 libdrm-nouveau1a libdrm-radeon1 libdrm2 libecryptfs0 libexpat1 libffi6 libgcc1 libgcrypt11 libglib2.0-0 libglib2.0-data libgpg-error0 libgpm2 libkeyutils1 libklibc liblocale-gettext-perl liblzma5 libmagic1 libmount1 libncurses5 libncursesw5 libnih-dbus1 libnih1 libnspr4 libnss3 libnss3-1d libpam-modules libpam-modules-bin libpam-runtime libpam0g libpciaccess0 libpcre3 libplymouth2 libpng12-0 libpopt0 libreadline6 libsasl2-2 libsasl2-modules libselinux1 libslang2 libsqlite3-0 libss2 libssl1.0.0 libstdc++6 libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl libtinfo5 libudev0 libuuid1 libxml2 lsb-base lsof makedev mime-support module-init-tools mount mountall multiarch-support ncurses-bin netbase openssl original-awk passwd perl-base plymouth plymouth-theme-ubuntu-text postfix procps psmisc python python-minimal python2.7 python2.7-minimal readline-common rsync  sed sensible-utils sgml-base shared-mime-info ssl-cert sysv-rc sysvinit-utils tar tzdata udev upstart util-linux uuid-runtime xml-core xz-utils zlib1g0 aktualisiert, 136 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.Es müssen noch 0 B von 38,3 MB an Archiven heruntergeladen werden.Nach dieser Operation werden 117 MB Plattenplatz zusätzlich benutzt.Möchten Sie fortfahren [J/n]? jE: Debconf-Version konnte nicht ermittelt werden. Ist debconf installiert?debconf: apt-extracttemplates schlug fehl: No such file or directoryExtrahiere Vorlagen aus Paketen: 21%E: Debconf-Version konnte nicht ermittelt werde n. Ist debconf installiert?debconf: apt-extracttemplates schlug fehl: No such file or directoryExtrahiere Vorlagen aus Paketen: 43%E: Debconf-Version konnte nicht ermittelt werde n. Ist debconf installiert?debconf: apt-extracttemplates schlug fehl: No such file or directoryExtrahiere Vorlagen aus Paketen: 65%E: Debconf-Version konnte nicht ermittelt werde n. Ist debconf installiert?debconf: apt-extracttemplates schlug fehl: No such file or directoryExtrahiere Vorlagen aus Paketen: 86%E: Debconf-Version konnte nicht ermittelt werde n. Ist debconf installiert?debconf: apt-extracttemplates schlug fehl: No such file or directoryExtrahiere Vorlagen aus Paketen: 100%Could not exec dpkg!E: Sub-process /usr/bin/dpkg returned an error code (100)xxxxx@xxxxxx:~#
habe schon diverse sachen mit dem dpkg verzeichniss versucht.Löschen/neu erstellen/rechte neu setzen...usw...

Google hat mir nicht wirklich weiter geholfen

sudo apt-get install debconf und apt-get dpkg-reconfgure brachten auch nix ...

Bevor ich alles neu aufsetzte würde ich gerne diesen Fehler verstehen...

thx for help...
__________________
il faut de tout pour faire un monde.

Geändert von pat (05.12.2016 um 12:05 Uhr)
pat ist offline   Mit Zitat antworten Nach oben
Alt 05.12.2016, 21:09   #2
Dean
Erfahrener Benutzer
Punkte: 6.065, Level: 50 Punkte: 6.065, Level: 50 Punkte: 6.065, Level: 50
Levelaufstieg: 58% Levelaufstieg: 58% Levelaufstieg: 58%
Aktivität: 0% Aktivität: 0% Aktivität: 0%
Letzte Erfolge
Artikel Benutzer besitzt 1x Anfänger Benutzer besitzt 1x Hilfe Level 1 Benutzer besitzt 1x Grundwissen Benutzer besitzt 1x Helfer Benutzer besitzt 1x Badboy Benutzer besitzt 1x Angel
 
Benutzerbild von Dean
 
Registriert seit: 18.11.2008
Ort: @ Home
Beiträge: 277
Abgegebene Danke: 146
Erhielt 0 Danke für 0 Beiträge
Downloads: 28
Uploads: 0
Nachrichten: 18
Renommee-Modifikator:
628 Dean genießt hohes AnsehenDean genießt hohes AnsehenDean genießt hohes AnsehenDean genießt hohes AnsehenDean genießt hohes AnsehenDean genießt hohes AnsehenDean genießt hohes AnsehenDean genießt hohes AnsehenDean genießt hohes AnsehenDean genießt hohes AnsehenDean genießt hohes Ansehen
Standard

Hi pat,
der Fehler
Zitat:
Could not exec dpkg! E: Sub-process /usr/bin/dpkg returned an error code (100)
kam mir beim lesen deines Posts bekannt vor!
Diesen hatte ich (wo ich noch Ubuntu benutzt habe) auch beim Setup von Postfix.
Ich habe in meinen Lesezeichen nachgeschaut und meine damalige Lösung für das Problem gefunden.
Mir hat da folgendes geholfen:

Code:
mkdir  /tmp/dpkg
CD  /tmp/dpkg
wget http://archive.ubuntu.com/ubuntu/pool/main/d/dpkg/dpkg_1.15.5.6ubuntu4_i386.deb
ar x dpkg*.deb data.tar.gz
tar xfvz data.tar.gz ./usr/bin/dpkg
sudo CP  ./usr/bin/dpkg /usr/bin/
sudo apt-get update
sudo apt-get install --reinstall dpkg
Gefunden habe ich die Lösung in diesem Thread: https://ubuntuforums.org/showthread.php?t=1856256&page=2

Vielleicht hilft es dir ja auch?!

P.s.: Die Datei "dpkg_1.15.5.6ubuntu4_i386.deb" wirds wohl nicht mehr geben da es schon ein paar Jahre her ist ... deswegen suche dir einfach (solltest du es testen) die Neue Datei dann hier raus http://archive.ubuntu.com/ubuntu/pool/main/d/dpkg
Dean ist offline   Mit Zitat antworten Nach oben
Alt 11.12.2016, 07:33   #3
pat
Profi
Punkte: 14.982, Level: 79 Punkte: 14.982, Level: 79 Punkte: 14.982, Level: 79
Levelaufstieg: 27% Levelaufstieg: 27% Levelaufstieg: 27%
Aktivität: 0% Aktivität: 0% Aktivität: 0%
Letzte Erfolge
 
Benutzerbild von pat
 
Registriert seit: 12.01.2011
Ort: @home
Alter: 35
Beiträge: 575
Abgegebene Danke: 99
Erhielt 133 Danke für 33 Beiträge
Themenstarter Themenstarter
Downloads: 4
Uploads: 0
Nachrichten: 747
Renommee-Modifikator:
1623 pat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehenpat genießt hohes Ansehen
Standard

Moin Dean

sry für die verspätung Lieg im KH Wurde Operiert und hatte bis heute keinen nerv den lappi in die hand zu nehmen...

in dem forum hatte ich schon gekukt läuft auch alles durch ausser der befehl
Code:
sudo apt-get install --reinstall dpkg
bringt mir die selbe fehler meldung wie gehabt...
__________________
il faut de tout pour faire un monde.
pat ist offline   Mit Zitat antworten Nach oben
Antwort


Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)
 
Themen-Optionen
Ansicht

Forumregeln
Es ist Ihnen nicht erlaubt, neue Themen zu verfassen.
Es ist Ihnen nicht erlaubt, auf Beiträge zu antworten.
Es ist Ihnen nicht erlaubt, Anhänge hochzuladen.
Es ist Ihnen nicht erlaubt, Ihre Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.

Gehe zu


Alle Zeitangaben in WEZ +1. Es ist jetzt 01:27 Uhr.


Powered by vBulletin® Version 3.8.9 (Deutsch)
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Template-Modifikationen durch TMS